package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class RoomChangeApplicationEntryCollection extends AbstractObjectCollection 
{
    public RoomChangeApplicationEntryCollection()
    {
        super(RoomChangeApplicationEntryInfo.class);
    }
    public boolean add(RoomChangeApplicationEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(RoomChangeApplicationEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(RoomChangeApplicationEntryInfo item)
    {
        return removeObject(item);
    }
    public RoomChangeApplicationEntryInfo get(int index)
    {
        return(RoomChangeApplicationEntryInfo)getObject(index);
    }
    public RoomChangeApplicationEntryInfo get(Object key)
    {
        return(RoomChangeApplicationEntryInfo)getObject(key);
    }
    public void set(int index, RoomChangeApplicationEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(RoomChangeApplicationEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(RoomChangeApplicationEntryInfo item)
    {
        return super.indexOf(item);
    }
}